Requires read_files access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20260901/files/files.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Get a list of files.
Query Parameters
  • content_type string
    The type of the file. Valid values are:
    • IMAGE: Represents a SHOPLINE image.
    • VIDEO: Represents a SHOPLINE video.
    Example: IMAGE
  • id_list string
    The unique identifiers for files to query, with multiple IDs separated by commas. Supports a maximum of 50 IDs.
    Example: 5824341616684517429,5824341616684517428
  • limit string
    Specify the maximum number of files to return.
    Value range: 1-250
    Default Value: 50
  • page_info string
    The unique identifier for pagination queries, used to locate a specific page.
    This parameter value is obtained from the link value in the response header of this API after you have queried the pagination information.
    For example, if the link value you obtained is <https://{handle}.myshopline.com/admin/openapi/{version}/files/files.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next" , the value of page_info is eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9 .
    For more information on how to use pagination, refer to Paging Mechanism.
  • since_id string
    The ID of a specific file. Start querying files from this specified ID (excluding this ID).
    Example: 5824341616684517429
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • link
    The URL link that provides the pagination data. You can obtain page_info from this parameter for subsequent pagination requests.
    This parameter is returned when the requested page has a previous or next page.
    For more information on how to use pagination, refer to Paging Mechanism.
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • filesobject[]
    A list of files.
  • alt string
    The alternative textual description of the image or video, usually a word or phrase with the characteristics or content of the image or video.
    Example: This is an image or video alt.
  • available boolean
    Indicates whether the file is available. Valid values are:
    • true:available
    • false:not available
  • caption string
    The scenario-based explanatory text of the image or video, used to supplement shooting background, usage scenarios, relevant information, etc., to assist operation identification and file management.
    Example: This is an image or video caption.
  • content_type string
    The type of the file. Valid values are:
    • IMAGE:Represents a SHOPLINE image.
    • VIDEO:Represents a SHOPLINE video.
  • cover_image string
    The URL of the cover image.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
  • file_name string
    The name of the file.
    Example: This is a file name
  • id string
    The unique identifier for the file.
    Example: 5824341616684517429
  • url string
    The URL of the file.
    Example: https://img.myshopline.com/image/official/e46e6189dd5641a3b179444cacdcdd2a.png
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901

ParamOptions

header required
query
query
query
query
query

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20260901/files/files.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiJ9.eyJhcHBLZXkiOiJmMjM3OWQyMTYyOGMzM2QxMWRiMWZkYjY5N2EzZjdjMjZlNGMwYTA5Iiwic2VsbGVySWQiOiIyMDAwMjM0ODgwIiwic3RvcmVJZCI6IjE2NzIzNjk3Mjk2MDYiLCJ2ZXJzaW9uIjoiVjIiLCJkb21haW4iOiJodHRwczovL3NsLW9wZW4tc2cubXlzaG9wbGluZS5jb20iLCJ0aW1lc3RhbXAiOjE2NzUzMTk0OTI0MzksImlzcyI6Inlzb3VsIiwiZXhwIjoxNzY5OTI3NDkyfQ.UwQzomM2veGCUaOZ0paUxq5dpc7DXuhHYFvsQ_uIAKduzWcb_j2E4q_36El83sp145D4cKbpcE5KCeeIz-JNQw' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Query image information after the specified starting ID, limited to 10 results
Response
{
"files": [
{
"available": true,
"content_type": "IMAGE",
"id": "6088042245020926015",
"url": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
{
"available": true,
"content_type": "IMAGE",
"id": "6088041587974815831",
"url": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
{
"available": true,
"content_type": "IMAGE",
"id": "6088040622949601333",
"url": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
{
"available": true,
"content_type": "IMAGE",
"id": "6088040612026737714",
"url": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
{
"available": true,
"content_type": "IMAGE",
"id": "6088039141554733121",
"url": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
{
"available": true,
"content_type": "IMAGE",
"id": "6088039130749559851",
"url": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
{
"available": true,
"content_type": "IMAGE",
"id": "6088038424345526331",
"url": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
{
"available": true,
"content_type": "IMAGE",
"id": "6088038409900593166",
"url": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/e46e6189dd5641a3b179444cacdcdd2a_15.png?w=1024&h=1024"
},
{
"available": true,
"content_type": "IMAGE",
"id": "5976632123224980485",
"url": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
},
{
"available": true,
"content_type": "IMAGE",
"id": "5976632117588409387",
"url": "https://img-va.myshopline.com/image/store/2001026666/1653474941510/c4845f8f7cd84ff18f082eaf9c05b820.webp?w=1024&h=1024"
}
]
}
Was this article helpful to you?